﻿<%@ Page Language="C#" AutoEventWireup="true" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
	<title>Resize extender test</title>
	<style type="text/css">
		.ResizableElement
		{
			width: 200px;
			height: 200px;
			border: 1px solid black;
			position:absolute;
		}
		
		.ResizableElement td
		{
			border: solid 1px black;
		}
	</style>
</head>
<body>
	<form id="form1" runat="server">
	<telerik:RadScriptManager ID="RadScriptManager1" runat="server">
		<Scripts>
			<asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
			<asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
			<asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryPlugins.js" />
			<asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Popup.PopupScripts.js" />
		</Scripts>
	</telerik:RadScriptManager>
	<script type="text/javascript">
		function pageLoad() {
 
			var elementToMoveAndResize = $get("resizableElement");
			var handles = {
				n: $get("upperCenterResizeHandle"),
				ne: $get("upperRightResizeHandle"),
				e: $get("middleRightResizeHandle"),
				se: $get("bottomRightResizeHandle"),
				s: $get("bottomCenterResizeHandle"),
				sw: $get("bottomLeftResizeHandle"),
				w: $get("middleLeftResizeHandle"),
				nw: $get("upperLeftResizeHandle"),
				move : $get("dragHandle")
			};
			var innerTable = $get("innerTable");
 
			var resizeExtender = new Telerik.Web.UI.ResizeExtender(null, elementToMoveAndResize, handles, innerTable, null, "move", true);
		}
	</script>
	<br />
	<div id="resizableElement" class="ResizableElement" style="top:0px;left:0px;">
		<table id="innerTable" style="width: 100%; height: 100%;">
			<tr style="height: 20px;">
				<td id="upperLeftResizeHandle" style="width: 20px;">
					<!-- -->
				</td>
				<td id="upperCenterResizeHandle">
					<!-- -->
				</td>
				<td id="upperRightResizeHandle" style="width: 20px;">
					<!-- -->
				</td>
			</tr>
			<tr>
				<td id="middleLeftResizeHandle">
					<!-- -->
				</td>
				<td id="dragHandle" style="cursor:move;">
					<div>
						Resize by holding the corners, drag by holding the center.</div>
				</td>
				<td id="middleRightResizeHandle">
					<!-- -->
				</td>
			</tr>
			<tr style="height: 20px;">
				<td id="bottomLeftResizeHandle">
					<!-- -->
				</td>
				<td id="bottomCenterResizeHandle">
					<!-- -->
				</td>
				<td id="bottomRightResizeHandle">
					<!-- -->
				</td>
			</tr>
		</table>
	</div>
	</form>
</body>
</html>
